Download it now!
Bug 116091 - Replace 'AutoFormat' button with table style listbox in Convert Text to Table dialog
Summary: Replace 'AutoFormat' button with table style listbox in Convert Text to Table...
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium enhancement
Assignee: pranesh ulleri
URL:
Whiteboard:
Keywords: difficultyMedium, easyHack, skillCpp, topicUI
Depends on:
Blocks: Writer-Tables-Style Table-AutoFormat
  Show dependency treegraph
 
Reported: 2018-02-28 18:56 UTC by Gabor Kelemen
Modified: 2020-03-18 09:26 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
The dialog in a current master build (29.42 KB, image/png)
2018-02-28 18:56 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2018-02-28 18:56:04 UTC
Created attachment 140229 [details]
The dialog in a current master build

+++ This bug was initially created as a clone of Bug #113558 +++

Presently the insert table dialog has a 'AutoFormat' button which opens up the AutoFormat dialog so a user can choose one of the AutoFormat table styles. We should get rid of this button and replace it with a table style listbox or drop down list.

--------

Now that the above bug is fixed, it seems that the Table -> Convert -> Convert Text to Table dialog has a similar AutoFormat button.

Probably it would be a good idea to replace it with an inline selector and preview, just like in the bug above. 

Code pointer:
sw/source/ui/table/convert.cxx
Comment 1 Heiko Tietze 2018-02-28 18:58:37 UTC
Should be a quickie.
Comment 2 Furkan Tokac 2018-02-28 21:33:02 UTC
No problem. Working on it.
Comment 3 Thomas Lendo 2018-03-31 20:04:48 UTC
(In reply to Furkan Tokac from comment #2)
> No problem. Working on it.
Furjan, are you still working on this?
Comment 4 Furkan Tokac 2018-04-02 07:55:25 UTC
(In reply to Thomas Lendo from comment #3)
> (In reply to Furkan Tokac from comment #2)
> > No problem. Working on it.
> Furjan, are you still working on this?

Yes, I'm.
Comment 5 Xisco Faulí 2018-05-03 02:38:39 UTC Comment hidden (obsolete)
Comment 6 Furkan Tokac 2018-05-06 15:28:15 UTC
(In reply to Xisco Faulí from comment #5)
> A polite ping, still working on this bug?

There was a small problem so I was working on the investigation. The patch that I have done is compiled fine in QT based system but it throws error in GTK based system.

Anyway, there is a new developer. He'll handle this patch. I'll help to him. Thanks for your interest.
Comment 7 Furkan Tokac 2018-05-06 16:23:23 UTC
(In reply to Xisco Faulí from comment #5)
> A polite ping, still working on this bug?

Please ignore the last comment. I'm working on the bug.
Comment 8 Xisco Faulí 2018-06-06 02:44:14 UTC Comment hidden (obsolete)
Comment 9 Furkan Tokac 2018-06-06 07:13:10 UTC
(In reply to Xisco Faulí from comment #8)
> A polite ping, still working on this bug?

Yes. It'll finish soon. Thanks for your interest.
Comment 10 Xisco Faulí 2018-07-07 02:37:35 UTC Comment hidden (obsolete)
Comment 11 Furkan Tokac 2018-07-08 11:38:45 UTC
(In reply to Xisco Faulí from comment #10)
> A polite ping, still working on this bug?

Yes. I'm working and traveling so it is delayed but I'll fix the bug. I want to do it. Thanks for the interest. :)
Comment 12 Xisco Faulí 2018-08-08 02:35:15 UTC Comment hidden (obsolete)
Comment 13 Furkan Tokac 2018-08-11 10:57:53 UTC
(In reply to Xisco Faulí from comment #12)
> A polite ping, still working on this bug?

Work is just in progress! Thanks for your attention.
Comment 14 Xisco Faulí 2018-09-11 02:35:35 UTC Comment hidden (obsolete)
Comment 15 Furkan Tokac 2018-09-26 13:19:31 UTC
(In reply to Xisco Faulí from comment #14)
> A polite ping, still working on this bug?

Yeap.
Comment 16 Xisco Faulí 2018-10-27 02:53:11 UTC Comment hidden (obsolete)
Comment 17 Xisco Faulí 2018-11-27 03:41:22 UTC Comment hidden (obsolete)
Comment 18 Furkan Tokac 2018-12-22 19:11:51 UTC
(In reply to Xisco Faulí from comment #17)
> A polite ping, still working on this bug?

Yeap, I am.
Comment 19 Xisco Faulí 2019-01-22 03:39:33 UTC Comment hidden (obsolete)
Comment 20 Xisco Faulí 2019-02-22 03:41:28 UTC
A polite ping, still working on this bug?
Comment 21 Xisco Faulí 2019-03-25 03:42:51 UTC Comment hidden (obsolete)
Comment 22 Xisco Faulí 2019-06-26 09:08:11 UTC
Dear Furkan Tokac,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 23 Heiko Tietze 2019-06-26 09:20:27 UTC
(In reply to Xisco Faulí from comment #22)
> This bug has been in ASSIGNED status for more than 3 months without any
> activity. Resetting it to NEW.

Furhan submitted a patch [1] to bug 113558 dealing with the same issue, which made it into 6.3. Serves as a blueprint for the easyhack.

[1] https://gerrit.libreoffice.org/#/c/49886/
Comment 24 Gabor Kelemen 2019-06-26 10:27:25 UTC
(In reply to Heiko Tietze from comment #23)
> (In reply to Xisco Faulí from comment #22)
> > This bug has been in ASSIGNED status for more than 3 months without any
> > activity. Resetting it to NEW.
> 
> Furhan submitted a patch [1] to bug 113558 dealing with the same issue,
> which made it into 6.3. Serves as a blueprint for the easyhack.
> 
> [1] https://gerrit.libreoffice.org/#/c/49886/

That does not makes this one fixed. Resetting to NEW, original report is still valid.
Comment 25 pranesh ulleri 2020-02-24 11:52:58 UTC
Can I work on this bug?
Comment 26 Buovjaga 2020-02-24 12:07:54 UTC
(In reply to pranesh ulleri from comment #25)
> Can I work on this bug?

Yes.
Comment 27 pranesh ulleri 2020-03-01 08:03:21 UTC
How should the layout look like? is there any reference?
Comment 28 Heiko Tietze 2020-03-02 15:03:42 UTC
(In reply to pranesh ulleri from comment #27)
> How should the layout look like? is there any reference?

We have a guideline here https://wiki.documentfoundation.org/Design/Guidelines/PropertyDialog

You should add a label before the dropdown. And just add me as reviewer for the UI part.
Comment 29 pranesh ulleri 2020-03-08 15:58:58 UTC
what is the name of cxx file of autoformattabe.ui
Comment 30 Heiko Tietze 2020-03-09 11:06:54 UTC
(In reply to pranesh ulleri from comment #29)
> what is the name of cxx file of autoformattabe.ui

Make sure you used the correct term autoformattab*l*e.ui with git grep. 

https://opengrok.libreoffice.org/search?project=core&full=autoformattable.ui&defs=&refs=&path=&hist=&type=&si=full returns some places.
Comment 31 pranesh ulleri 2020-03-18 09:26:48 UTC
I have submitted the patchset, please review and give feedback.